Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.admin
Class SeedRecord

    java.lang.Object
      org.archive.crawler.admin.SeedRecord

All Implemented Interfaces:
  java.io.Serializable, CoreAttributeConstants

    public class SeedRecord

extends java.lang.Object
implements CoreAttributeConstants, java.io.Serializable

Record of all interesting info about the most-recent processing of a specific seed.

Author:
  gojomo
See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.archive.crawler.datamodel.CoreAttributeConstants
`A_ANNOTATIONS, A_CONTENT_DIGEST, A_CONTENT_TYPE, A_CREDENTIAL_AVATARS_KEY, A_DELAY_FACTOR, A_DISTANCE_FROM_SEED, A_DNS_FETCH_TIME, A_DNS_SERVER_IP_LABEL, A_ETAG_HEADER, A_FETCH_BEGAN_TIME, A_FETCH_COMPLETED_TIME, A_FETCH_HISTORY, A_FORCE_RETIRE, A_HERITABLE_KEYS, A_HTML_BASE, A_HTTP_BIND_ADDRESS, A_HTTP_PROXY_HOST, A_HTTP_PROXY_PORT, A_HTTP_TRANSACTION, A_LAST_MODIFIED_HEADER, A_LOCALIZED_ERRORS, A_META_ROBOTS, A_MINIMUM_DELAY, A_MIRROR_PATH, A_PREREQUISITE_URI, A_REFERENCE_LENGTH, A_RETRY_DELAY, A_RRECORD_SET_LABEL, A_RUNTIME_EXCEPTION, A_SOURCE_TAG, A_STATUS, HEADER_TRUNC, LENGTH_TRUNC, TIMER_TRUNC, TRUNC_SUFFIX`

Constructor Summary
`SeedRecord(CrawlURI curi, java.lang.String disposition)` Create a record from the given CrawlURI and disposition string
`SeedRecord(java.lang.String uri, java.lang.String disposition)` Constructor for when a CrawlURI is unavailable; such as when considering seeds not yet passed through as CrawlURIs.
`SeedRecord(java.lang.String uri, java.lang.String disposition, int statusCode, java.lang.String redirectUri)` Create a record from the given URI, disposition, HTTP status code, and redirect URI.

Method Summary
`java.lang.String` | `getDisposition()`
`java.lang.String` | `getRedirectUri()`
`int` | `getStatusCode()`
`java.lang.String` | `getUri()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SeedRecord

    public SeedRecord(CrawlURI curi,
                      java.lang.String disposition)

  Create a record from the given CrawlURI and disposition string

  Parameters:
    `curi` - CrawlURI, already processed as reported to StatisticsTracker
    `disposition` - descriptive disposition string

### SeedRecord

    public SeedRecord(java.lang.String uri,
                      java.lang.String disposition)

  Constructor for when a CrawlURI is unavailable; such as when considering seeds not yet passed through as CrawlURIs.

  Parameters:
    `uri` -
    `disposition` -

### SeedRecord

    public SeedRecord(java.lang.String uri,
                      java.lang.String disposition,
                      int statusCode,
                      java.lang.String redirectUri)

  Create a record from the given URI, disposition, HTTP status code, and redirect URI.

  Parameters:
    `uri` -
    `disposition` -
    `statusCode` -
    `redirectUri` -

Method Detail

### getDisposition

    public java.lang.String getDisposition()

  Returns:
    Returns the disposition.

### getRedirectUri

    public java.lang.String getRedirectUri()

  Returns:
    Returns the redirectUri.

### getStatusCode

    public int getStatusCode()

  Returns:
    Returns the statusCode.

### getUri

    public java.lang.String getUri()

  Returns:
    Returns the uri.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.